--------------------------------------------------------------------------------
-- Code developed by Generis Technology Limited
--
-- Product Name: B-Smart
--
-- Component Name: Meter Asset Manager
--
-- Description: Script to regress SPAA change 13/256
--
-- Parameters : 1 - Home directory of the B-Smart installation (typically $MDB_HOME)
--
-- Amendment History:                   Date        Author            Vers
-- ------------------                   ---------   -------           -----
-- B-Smart Initial Release              11/11/2013  M Brookes         10.0.006
--------------------------------------------------------------------------------
--
-- SET SERVEROUTPUT ON SIZE 1000000
SET VERIFY OFF
--
PROMPT
PROMPT Script to regress SPAA change 13/256
PROMPT
PROMPT Version 10.0.006
PROMPT
--
-- DEFINE mdb_home = &1
--
PROMPT
PROMPT Delete GHL as Supplier (and GAO) (CP 13/256)
PROMPT
--
SET SCAN OFF
--
DECLARE
  invalid_column      EXCEPTION;
  is_snapshot         EXCEPTION;
  row_exists          EXCEPTION;
  PRAGMA EXCEPTION_INIT(invalid_column, -904);
  PRAGMA EXCEPTION_INIT(is_snapshot, -1732);
  PRAGMA EXCEPTION_INIT(row_exists, -1);


BEGIN

EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                       WHERE MARKET_PARTICIPANT_CODE = ''GHL''
                       AND MARKET_PARTICIPANT_ROLE_CODE = ''SUP''';

EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT_IN_ROLE 
                       WHERE MARKET_PARTICIPANT_CODE = ''GHL''
                       AND MARKET_PARTICIPANT_ROLE_CODE = ''GAO''';


EXECUTE IMMEDIATE 'DELETE FROM MARKET_PARTICIPANT 
                     WHERE MARKET_PARTICIPANT_CODE = ''GHL''';

EXCEPTION
  WHEN is_snapshot OR invalid_column OR row_exists THEN
    NULL;
END;
/
--
SET SCAN ON
--
COMMIT
/
--
SET VERIFY ON
--
